- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Xapian::Stopper Class Referenceabstract

Base class for stop-word decision functor. More...

Inheritance diagram for Xapian::Stopper:
[legend]

## Public Member Functions
virtual bool | operator() (const std::string &term) const =0
| Is term a stop-word? More...
virtual | ~Stopper ()
| Class has virtual methods, so provide a virtual destructor.
virtual std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Base class for stop-word decision functor.

## Member Function Documentation

virtual bool Xapian::Stopper::operator() | ( | const std::string & | term | ) | const
| pure virtual

Is term a stop-word?

Parameters

  term | The term to test.

Implemented in Xapian::SimpleStopper.

The documentation for this class was generated from the following file:

- xapian/queryparser.h